For the complete documentation index, see llms.txt. This page is also available as Markdown.

Documents By Status

Documents by status v2 (encrypted)

post
/api/Public/GetDocumentsByStatus/enc/GetDocumentsByStatusV2
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
kidstring · nullableOptional
keystring · nullableOptional
datastring · nullableOptional
Responses
200

OK

No content

post/api/Public/GetDocumentsByStatus/enc/GetDocumentsByStatusV2
POST /api/Public/GetDocumentsByStatus/enc/GetDocumentsByStatusV2 HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "kid": "text",
  "key": "text",
  "data": "text"
}
200

OK

No content

Tracker pending data

get
/api/Public/GetDocumentsByStatus/GetTrackerPendingData
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
statusIdstringOptional
pageNumberstringOptional
yearstringOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
get/api/Public/GetDocumentsByStatus/GetTrackerPendingData
GET /api/Public/GetDocumentsByStatus/GetTrackerPendingData HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": [
    {
      "workflowId": 1,
      "documentId": 1,
      "documentName": "text",
      "displayName": "text",
      "referenceNo": "text",
      "statusId": 1,
      "status": "text",
      "createdBy": "text",
      "createdById": 1,
      "noOfPages": 1,
      "documentSize": "text",
      "signerNames": "text",
      "totalSigners": 1,
      "completedSigners": 1,
      "isOwner": true,
      "nextSignerName": "text",
      "nextSignerOrder": 1,
      "transactionId": "text",
      "hasAttachments": true,
      "lastSignedBy": "text",
      "lastSignedOn": "2026-01-01T00:00:00.000Z",
      "initaitedBy": "text",
      "uploadTime": "text",
      "declinedOn": "text",
      "declinedBy": "text",
      "remarks": "text",
      "recalledOn": "text",
      "voidedOn": "text",
      "purgedOn": "text",
      "inactivedOn": "text",
      "thumbnailBase64": "text",
      "envelopNo": "text",
      "category": "text",
      "noofdocuments": 1,
      "noofAttachments": 1,
      "documents": "text",
      "noOfComments": 1,
      "originatorId": 1,
      "templateId": 1,
      "workflowType": 1,
      "menuName": "text",
      "hasNeslError": true
    }
  ]
}

Documents by status v2

post
/api/Public/GetDocumentsByStatus/GetDocumentsByStatusV2
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
statusstring · min: 1RequiredPattern: ^(pending|drafts|declined|recalled|completed|deleted|cosign)$
pageNumberinteger · int32 · min: 1 · max: 2147483647Required
pageSizeinteger · int32 · min: 1 · max: 100Optional
selectedYearstring · nullableOptional
docNamestring · nullableOptional
docOwnerstring · nullableOptional
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
lastSignedBystring · nullableOptional
completedDatestring · date-time · nullableOptional
completedEndDatestring · date-time · nullableOptional
declinedBystring · nullableOptional
declinedDatestring · date-time · nullableOptional
declineEnddDatestring · date-time · nullableOptional
recalledDatestring · date-time · nullableOptional
recalledEndDatestring · date-time · nullableOptional
inactiveDatestring · date-time · nullableOptional
inactiveEndDatestring · date-time · nullableOptional
expiryFromDatestring · date-time · nullableOptional
expiryToDatestring · date-time · nullableOptional
purgedDatestring · date-time · nullableOptional
voidedDatestring · date-time · nullableOptional
templateNamestring · nullableOptional
sendImageUrlboolean · nullableOptional
categoryNamestring · nullableOptional
documentNumberstring · nullableOptional
referencenostring · nullableOptional
signedDatestring · date-time · nullableOptional
customstatusstring · nullableOptional
isSearchbooleanOptional
donotRequireFlexiformboolean · nullableOptional
sortBystring · nullableOptional
isAscendingbooleanOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/GetDocumentsByStatus/GetDocumentsByStatusV2
POST /api/Public/GetDocumentsByStatus/GetDocumentsByStatusV2 HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 987

{
  "status": "text",
  "pageNumber": 1,
  "pageSize": 1,
  "selectedYear": "text",
  "docName": "text",
  "docOwner": "text",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "lastSignedBy": "text",
  "completedDate": "2026-01-01T00:00:00.000Z",
  "completedEndDate": "2026-01-01T00:00:00.000Z",
  "declinedBy": "text",
  "declinedDate": "2026-01-01T00:00:00.000Z",
  "declineEnddDate": "2026-01-01T00:00:00.000Z",
  "recalledDate": "2026-01-01T00:00:00.000Z",
  "recalledEndDate": "2026-01-01T00:00:00.000Z",
  "inactiveDate": "2026-01-01T00:00:00.000Z",
  "inactiveEndDate": "2026-01-01T00:00:00.000Z",
  "expiryFromDate": "2026-01-01T00:00:00.000Z",
  "expiryToDate": "2026-01-01T00:00:00.000Z",
  "purgedDate": "2026-01-01T00:00:00.000Z",
  "voidedDate": "2026-01-01T00:00:00.000Z",
  "templateName": "text",
  "sendImageUrl": true,
  "categoryName": "text",
  "documentNumber": "text",
  "referenceno": "text",
  "signedDate": "2026-01-01T00:00:00.000Z",
  "customstatus": "text",
  "isSearch": true,
  "donotRequireFlexiform": true,
  "sortBy": "text",
  "isAscending": true
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": [
    {
      "documentId": 1,
      "noofdocuments": 1,
      "noofAttachments": 1,
      "noOfComments": 1,
      "originatorId": 1,
      "templateId": 1,
      "workflowType": 1,
      "workFlowId": 1,
      "initaitedBy": "text",
      "uploadTime": "text",
      "displayName": "text",
      "lastSignedOn": "text",
      "lastSignedBy": "text",
      "declinedOn": "text",
      "declinedBy": "text",
      "remarks": "text",
      "recalledOn": "text",
      "voidedOn": "text",
      "purgedOn": "text",
      "inactivedOn": "text",
      "status": "text",
      "thumbnailBase64": "text",
      "referenceNo": "text",
      "envelopNo": "text",
      "category": "text",
      "documents": "text"
    }
  ]
}

Last updated